Introducing Managed ClickStack: Observability for OpenTelemetry at scale Read more →
Introducing Managed ClickStack: Observability for OpenTelemetry at scale Read more →
Retrieves a specific dashboard by ID
curl --request GET \
--url https://api.hyperdx.io/api/v2/dashboards/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "65f5e4a3b9e77c001a567890",
"name": "Infrastructure Monitoring",
"tiles": [
{
"id": "65f5e4a3b9e77c001a901234",
"name": "Server CPU",
"x": 0,
"y": 0,
"w": 6,
"h": 3,
"asRatio": false,
"series": [
{
"type": "time",
"dataSource": "metrics",
"aggFn": "avg",
"field": "cpu.usage",
"where": "host:server-01",
"groupBy": []
}
]
},
{
"id": "65f5e4a3b9e77c001a901235",
"name": "Memory Usage",
"x": 6,
"y": 0,
"w": 6,
"h": 3,
"asRatio": false,
"series": [
{
"type": "time",
"dataSource": "metrics",
"aggFn": "avg",
"field": "memory.usage",
"where": "host:server-01",
"groupBy": []
}
]
}
],
"tags": [
"infrastructure",
"monitoring"
]
}
}Documentation Index
Fetch the complete documentation index at: https://private-7c7dfe99-page-updates.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Was this page helpful?
curl --request GET \
--url https://api.hyperdx.io/api/v2/dashboards/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "65f5e4a3b9e77c001a567890",
"name": "Infrastructure Monitoring",
"tiles": [
{
"id": "65f5e4a3b9e77c001a901234",
"name": "Server CPU",
"x": 0,
"y": 0,
"w": 6,
"h": 3,
"asRatio": false,
"series": [
{
"type": "time",
"dataSource": "metrics",
"aggFn": "avg",
"field": "cpu.usage",
"where": "host:server-01",
"groupBy": []
}
]
},
{
"id": "65f5e4a3b9e77c001a901235",
"name": "Memory Usage",
"x": 6,
"y": 0,
"w": 6,
"h": 3,
"asRatio": false,
"series": [
{
"type": "time",
"dataSource": "metrics",
"aggFn": "avg",
"field": "memory.usage",
"where": "host:server-01",
"groupBy": []
}
]
}
],
"tags": [
"infrastructure",
"monitoring"
]
}
}